2004-01-05 Robert Schwebel <r.schwebel@pengutronix.de>
	* general: feature patch is merged
	* general: lots of added packages all over the place
	* general: added 'configs' target
	* general: audited supported configurations
	* uclibc: removed for now; it did not configure and 
	  compile cleanly. Will be re-added after the problems 
	  have been fixed. 

	* 0.5.0 released

2003-11-xx Robert Schwebel <r.schwebel@pengutronix.de>

	* distcc: added support (Dan Kegel)

2003-10-23 Robert Schwebel <r.schwebel@pengutronix.de>

	* 0.4.0 released: this is the same as 0.3.25, but starts 
	  a new stable series. Next step is that we merge the 
	  feature-branch into cvs head and open up a new series. 

2003-10-09 Robert Schwebel <r.schwebel@pengutronix.de>

	* glibc: tweaked xchain to not install target binaries in crosschain
	  bin directory (thanks to Kai-Uwe Bloem, Auerswald. 
	* 0.3.25 released

2003-10-07 Robert Schwebel <r.schwebel@pengutronix.de>

	* etc: moved innokom directory to new scheme 
	  without time stamp (not necessary any more)

2003-10-07 Kai-Uwe Bloem <linux-development@auerswald.de>

	* cramfs tools: added
	* innokom: configuration update

2003-10-xx Robert Schwebel <r.schwebel@pengutronix.de>

	* nmap: Fix nmap to care for the PTXCONF_OPENSSL 
	  switch. (Milan Bobde, Ixia)

2003-09-25 Robert Schwebel <r.schwebel@pengutronix.de>

	* Documentation: added attempt of a documentation dir
	* Toplevel Makefile: fixed "dot" detecttion (thanks 
	  to Dan Kegel) 
	* pcmcia-cs: added initial support, although untested. 
	* inetutils: added. (Milan Bobde, Ixia) 
	* general: lots of new handy macros (Marc Kleine-Budde)
	* genext2fs: added, untested. (Milan Bobde, Ixia) 
	* ltt: fixed cross compilation (Kai-Uwe Bloem, Auerswald)

2003-09-19 Robert Schwebel <r.schwebel@pengutronix.de>

	* Rules.make: fixed get_patches. 
	  Kai-Uwe Bloem <linux-development@auerswald.de>
	* rootdir: replaced platform dependend links in rootdir by new 
	  mechanism: run a per-platform makefile (rules/vendor-tweaks/*)
	  which is configurable. Idea by Kai-Uwe Bloem, Implementation
	  Robert Schwebel
	* ltt: changed visualizer to be compiled for host; fix by
	  Kai-Uwe Bloem. 

2003-09-18 Robert Schwebel <r.schwebel@pengutronix.de>
	* forgotten topics for 0.3.24 changelog (sorry 'bout that): 
	* pdksh: added;  Kai-Uwe Bloem <linux-development@auerswald.de>
	* ltt: added; Kai-Uwe Bloem
	* gdb/gdbserver: Kai-Uwe Bloem
	* strace: Kai-Uwe Bloem

2003-09-17 Robert Schwebel <r.schwebel@pengutronix.de>
	* patch system: added generic patch system which gets patches
	  from a web repository; inserted all of Dan Kegel's patches
	* ltt: added support for Linux Trace Toolkit
	* general: Execute dot only when available and avoid error otherwhise. 
	* general: made root/ directory configurable
	* general: introduced generic architecture support file in
          config/arch/
	* configs: added configurations for roi-eics, scII-bmwm, scII-cameron;
	  updated innokom configs
	* toplevel make: added getclean target; fixes in archive mechanism
	* config: support for extra CFLAGS and CXXFLAGS
	* general: add customer specific "addons" directory
	* kernel: support for linux-2.4.22
	* rtai: support for rtai-24.1.11
	* mtd: added mkjffs2 tools
	* libnet: added support for libnet
	* mips: support for big and little endian
	* busybox: update to 1.00-pre3; configuration allows multiple bbs now. 
	* XFree86: added
	* Mozilla-Firebird: added
	* NEWPACKET: added script to support creation of new rules files
	* 0.3.24 released

2003-08-14 Robert Schwebel <r.schwebel@pengutronix.de>
	* Preparation for release
	* glibc: some fixes to find out where the _G_config.h problem comes
	  from. This is still not resolved but I release anyway to test it
	  on other systems; currently the generic configuration is reported
	  to work on Debian stable and testing systems but fails on unstable
	  here. More research has to be done...
	* 0.3.23 released

2003-08-08 Robert Schwebel <r.schwebel@pengutronix.de>
	* Config: i386-generic-glibc configuration added
	* rayonic config: use GNU libio (workaround for _G_config.h not
	  being found under uncontrolled conditions...)
	* Makefile: .rtaiconfig added, also to distclean; bootimage removal 
	  fixed; logfile removal fixed. 
	* rules/bootdisk.make: fixed Rayonic bootdisk to work again. 
	* rules/zebra.make; rules/wireless.make; rules/flash.make added

2003-06-24 Kai-Uwe Bloem <linux-development@auerswald.de>
	* innokom configs:  updated
	* innokom /etc template: largely reworked
	* added: pdksh
	* added: strace
	* added: gdb and gdbserver

2003-04-28 Marc Kleine-Budde <kleine-budde@gmx.de>
	* openssl.make: openssl.prepare: deps on gccstage2.install if
	xcompiler is selected
	* openssl.make: added support for 386 and i586 targets

2003-04-27 Marc Kleine-Budde <kleine-budde@gmx.de>
	* Config.in: added 586 target
	* e2fsprogs.make: target clean cleans now builddir
	* grub.make: the crosscompiler is now used
	* grub.make: fix typo: --disable-enable-cs89x0
	
2003-04-25 Marc Kleine-Budde <kleine-budde@gmx.de>
	* xchain-kernel.make: introduced xchain_kernel_extact_deps, only
	depending on MTD if wanted (saves us downloding MTD if not needed)
	* xchain-gccstage1.make: changed GCC_PREFIX to PTXCONF_GNU_TARGET
	* xchain-gccstage2.make: xchain-gccstage2_prepare: made threads in
	gcc depending on glibc threads
	* xchain-gccstage2.make: xchain-gccstage2_compile: removed -Os
	from CXXFLAGS_FOR_TARGET, because gcc doesn't like opts.
	[see: http://www.linuxfromscratch.org/view/3.3/chapter06/gcc.html]

2003-04-24 Marc Kleine-Budde <kleine-budde@gmx.de>

	* xchain-glibc.make: glibc.targetinstall: changed the names of the
	libs, they have the same name as beeing installed by glibc's make
	install
	* bash.make: bash-prepare: added deps to gccstage2 if defined
	xchain
	* e2fsprogs.make: e2fsprogs-prepare: added deps to gccstage2 if
	defined xchain
	* Makefile: target clean and rootclean, are deleting now
	* xchain-glibc.make: glibc_get: changed dep from glibc-base.get to
	glibc.get, to get the patches too

2003-04-23 Marc Kleine-Budde <kleine-budde@gmx.de>

	* xchain-kernel.make: xchain-kernel.prepare: removed touch of
	autoconf.h, that's done already in xchain-kernel.extract
	* xchain-gccstage1.make: xchain-gccstage1.prepare: removed touch
	of autoconf, and 'construction' of version.h, that's done already
	in xchain-kernel.extract
	* xchain-glibc.make: glibc-prepare: removed optimisation from
	GLIBC_CFLAGS (like -mpcu)
	[see: http://www.linuxfromscratch.org/view/3.3/chapter05/gcc.html]
	* Config.in: make GRUB dependend on X86

2003-04-22 Marc Kleine-Budde <kleine-budde@gmx.de>

	* openssh.make: changed URL, points now to existing sources
	* openssl.make: changed URL, points now to existing sources

2003-04-20 Marc Kleine-Budde <kleine-budde@gmx.de>

	* Config.in: added Kernel image format vmlinux
	* xchain-kernel.make: handles now vmlinux kernel format
	* xchain-kernel.make: added arch to KERNEL_TARGET_PATH for zImage
	and bzImage
	* xchain-kernel.make: removed double rule
	$(STATEDIR)/xchain-kernel.get
	* xchain-kernel.make: xchain-kernel.extract: version.h is now
	automatically generated by kernel's make
	* xchain-kernel.make: kernel.prepare: ARCH in kernel's Makefile is
	now always setted to PTXCONF_ARCH
	* xchain-kernel.make: kernel.prepare: CROSS_COMPILE in kernel's
	Makefile is now always setted to PTXCONF_GNU_TARGET
	* xchain-kernel.make: kernel.targetinstall: copying the kernel to
	rootdir is now arch independent, using KERNEL_TAGET_PATH
	* bootdisk.make: copying the kernel to bootdisk is now arch
	independent, using KERNEL_TARGET_PATH
	* bootdisk.make: added link from menu.lst to grub.conf, cause new
	grub version use grub.conf

2003-04-19 Robert Schwebel <r.schwebel@pengutronix.de>

	* Rules.make: added GNU_HOST to get rid of hardcoded x86 compilers
	* config system: ARM architecture dependency fixed
	* glibc: libutil strip fixed
	* general: 0.3.22 released

2003-04-03 Robert Schwebel <r.schwebel@pengutronix.de>

	* openssh/openssl: added configuration option
	* x86: configuration re-tested; minor bugs fixed for portmap, 
	  glibc, mtdtools etc., to make this configuration compile again. 
	* general: 0.3.21 released

2003-03-15 Robert Schwebel <r.schwebel@pengutronix.de>

	* portmapper: added version 4
	* tcpwrapper: added version 7.6
	* autoconf257: added autoconf version 2.57, for nfs-utils
	* nfs-utils: version 1.0.1 added
	* general: several typos fixed
	* bash: fixed ruleset for bash; tested config options
	* general: 0.3.20 finalized

2003-03-05  Robert Schwebel <r.schwebel@pengutronix.de>

	* kernel: zImage was accidently always copied to the target
	* rootfs: fixed directory creation bugs
	* rootfs: fixes to make it work with several templates
	* general: 0.3.19 finalized

2003-03-04  Robert Schwebel <r.schwebel@pengutronix.de>

	* rules: fix for .get dependencies, introduced get target 
	* general: 0.3.18 finalized

2003-03-04  Robert Schwebel <r.schwebel@pengutronix.de>

	* kernel: workaround for xchain-kernel kernel sources
	* zlib: dependency bug fixed; separated into zlib and xchain-zlib.
	* general: 0.3.17 finalized

2003-03-02  Robert Schwebel <r.schwebel@pengutronix.de>

	* config system: updated to the linux-2.5.63 version of kconfig and
	  lxdialog. Fixed missing 'make clean' for lxdialog. 
	* kernel: new config options for choosing which kernel image format
	  shall be used. The kernel can now optionally be installed on the 
	  target system (e.g. for jffs partitions). 
	* kernel: split kernel package into kernel and xchain-kernel. This
	  avoids that the complete toolchain is recompiled when you change
	  something for the kernel (like patching it with RTAI). 
	* mtd: added package for MTD CVS snapshots, including the MTD user
	  space utilities. 
	* general: 0.3.16 finalized

2003-02-17  Robert Schwebel <r.schwebel@pengutronix.de>

	* ncurses: made ncurses compile with i386 cross environment
	* rtai: separated rtai-patches from other rtai stuff
	* glibc: fixed gcc-2.95.3 bug for x86
	* general: 0.3.15 finalized

2003-01-28  Robert Schwebel <r.schwebel@pengutronix.de>

	* openssl,openssh: added initial support (untested)
	* busybox: fixed configuration for strange register dump problem. 
	  XScale environment can be compiled now. 
	* general: 0.3.14 finalized


2003-01-14  Robert Schwebel <r.schwebel@pengutronix.de>

	* busybox: kconfig transition finished. This should work now. 
	
	* general: 0.3.13 finalized

2003-01-11  Robert Schwebel <r.schwebel@pengutronix.de>
	
	* busybox: busybox-0.61.pre-ptx3 added, based on CVS snapshot 
	  from 2002/12/10. This version of busybox is based on kconfig, 
	  so it is possible to integrate this into our config system again.  

	* general: 0.3.12 finalized; this is an intermediate release; don't 
	  use it for production systems. 

2002-11-16  Robert Schwebel <r.schwebel@pengutronix.de>

	* general: fixed everything to make it work with the new 
	  configuration system

	* config system: ported to use the latest version from linux-2.5.47. 
	  I assume this will be the way to go in the future, as lkc doesn't
	  seem to be supported as a separate package any more. 

	* config system: fixed .config load bug

	* general: 0.3.11 finalized

2002-11-08  Robert Schwebel <r.schwebel@pengutronix.de>

	* config system: added lkc support

	* general: 0.3.10 finalized


2002-10-27  Robert Schwebel <r.schwebel@pengutronix.de>

	* ptxflash: /tmp and /home directory added

	* general: 0.3.9 finalized. 


2002-10-13  Robert Schwebel <r.schwebel@pengutronix.de>

	* glibc: now we install libnss_* to the target, which (surprise!) was
	the reason why proftpd didn't want to let our users login until now. 

	* general: 0.3.8 finalized. 

2002-10-12  Robert Schwebel <r.schwebel@pengutronix.de>
	
	* proftpd: added to the distribution.

	* glibc: support for glibc-2.2.3 added

	* general: 0.3.7 finalized.

2002-10-07  Robert Schwebel <r.schwebel@pengutronix.de>

	* menuconfig: bug fixed: use correct config file as default

	* lsh: key generation for target does work now. 

	* glibc: option for libm installation added. 

	* general: bugfixing; 0.3.6 finalized.

2002-10-04  Robert Schwebel <r.schwebel@pengutronix.de>

	* ptxflash: Utility to make a self contained bootstrap; 
	this is currently highly specific to the MOPSlcd4 board...

	* grub: GNU GRUB can now be installed; you can choose to 
	build a bootdisk for the target system in $PTXDIST/bootdisk.

	* e2fsprog: integrated, so we have mke2fs now. Has to be 
	better configurable.

	* Makefile: rootclean target re-introduced.

	* rtai: RTAI is now integrated. Needs more testing. 

	* config system: version number fixed. The archive target gives a
	warning now, we should change this to a permanent fix. 

	* lsh: lsh added. This requires packets for zlib, libgmp, 
	liboop and nettle which have been installed. 

2002-09-30  Robert Schwebel <r.schwebel@pengutronix.de>

	* busybox: works now for ARM. The route applet has a bug and 
	cannot be compiled, but this is an upstream problem. 

	* toolchain: first release with a working toolchain! gcc stage
	two is now able to compile kernel 2.4.18, busybox 0.61-pre-ptx1
	and glibc-2.2.5.

	* general: 0.3.4 finalized.  

2002-09-26  Robert Schwebel <r.schwebel@pengutronix.de>

	* busybox: added a makefile for busybox, currently only for an 
	unstable version from CVS. This will be changed to stable once
	Erik Andersen has made a release. 

	* x86 port: backported makefiles to support compilation for a x86 based
	target system. 

	* toolchain: the cross toolchain does still have major bugs 
	concerning the compiled in paths. 


2002-09-20  Robert Schwebel <r.schwebel@pengutronix.de>

	* general: several bugs fixed which prevented the system from being 
	compiled without having a toolchain right from the beginning. 

	* general: 0.3.2 finalized. This is the first version which has all
	the infrastructure for making a complete cross toolchain for ARM. 

